al_radtofix_r(3)

NAME

al_radtofix_r - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const al_fixed al_radtofix_r = (al_fixed)2670177;

DESCRIPTION

This constant gives a ratio which can be used to convert a fixed point number in radians to a fixed point number in binary angle format.

Example:

        al_fixed rad_angle, binary_angle;
        ...
        binary_angle = al_fixmul(rad_angle, radtofix_r);

SEE ALSO

al_fixmul(3), al_fixtorad_r(3).